## Does not compile with final
KDE_OPTIONS = nofinal

libcricketp2pbase_la_SOURCES = stun.cpp \
			       port.cpp \
			       udpport.cpp \
			       tcpport.cpp \
			       helpers.cpp \
			       sessionmanager.cpp \
			       session.cpp \
			       p2psocket.cpp \
			       relayport.cpp \
			       stunrequest.cpp \
			       stunport.cpp \
			       socketmanager.cpp 

noinst_HEADERS =               candidate.h \
                               portallocator.h \
			       relayport.h \
		     	       session.h \
		       	       sessionmessage.h \
			       stunport.h \
			       tcpport.h \
                               helpers.h \
			       port.h \
		       	       sessionid.h \
			       socketmanager.h \
			       stunrequest.h \
			       udpport.h \
                               p2psocket.h \
			       sessiondescription.h \
			       sessionmanager.h \
			       stun.h  \
			       relayserver.h \
			       stunserver.h

AM_CPPFLAGS = -DPOSIX  $(all_includes) -I$(srcdir)/../../..

bin_PROGRAMS = relayserver stunserver
relayserver_SOURCES = relayserver.cpp relayserver_main.cpp
relayserver_LDADD = ../../base/libcricketbase.la libcricketp2pbase.la -lpthread
stunserver_SOURCES = stunserver.cpp stunserver_main.cpp
stunserver_LDADD = ../../base/libcricketbase.la libcricketp2pbase.la -lpthread

noinst_LTLIBRARIES = libcricketp2pbase.la

DEFAULT_INCLUDES = -I$(srcdir)/../../..
